package com.bjtdba.order.vo;

import java.util.List;

public class OrderList {

    private String order_id;
    private String real_name;
    private String user_address;
    private String user_phone;
    /**
     * 订单状态
     */
    private String status;

    /**
     * 状态编码
     */
    private String status_code;

    /**
     * 支付方式
     */
    private String pay_type;
    /**
     * 支付时间
     */
    private String pay_time;

    private String pay_price;
    /**
     * 商品数量
     */
    private String cart_num;
    private String sku;
    /**
     * 商品名称
     */
    private String store_name;
    /**
     * 店铺名称
     */
    private String mer_name;
    /**
     *店铺头像
     */
    private String mer_avatar;

    private String image;

    private List<ProductVO> procductList;

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getPay_price() {
        return pay_price;
    }

    public void setPay_price(String pay_price) {
        this.pay_price = pay_price;
    }

    public String getOrder_id() {
        return order_id;
    }

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public String getReal_name() {
        return real_name;
    }

    public void setReal_name(String real_name) {
        this.real_name = real_name;
    }

    public String getUser_address() {
        return user_address;
    }

    public void setUser_address(String user_address) {
        this.user_address = user_address;
    }

    public String getUser_phone() {
        return user_phone;
    }

    public void setUser_phone(String user_phone) {
        this.user_phone = user_phone;
    }

    public String getStatus_code() {
        return status_code;
    }

    public void setStatus_code(String status) {
        this.status_code = status;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        if(status.equals("0")) {
            this.status = "待发货";
        } else if(status.equals("1")){
            this.status = "待收货";
        } else if(status.equals("2")){
            this.status = "待评价";
        } else if(status.equals("3")){
            this.status = "已完成";
        } else if(status.equals("4")){
            this.status = "已申请退款";
        } else if(status.equals("-1")){
            this.status = "已退款";
        } else if(status.equals("5")){
            this.status = "未支付";
        }else{
            this.status=status;
        }
    }

    public String getPay_type() {
        return pay_type;
    }

    public void setPay_type(String pay_type) {
        if(pay_type.equals("0")){
            this.pay_type = "余额";
        }else if(pay_type.equals("1")){
            this.pay_type = "微信";
        }else if(pay_type.equals("2")){
            this.pay_type = "小程序";
        }else if(pay_type.equals("4")){
            this.pay_type = "支付宝";
        }else if(pay_type.equals("5")){
            this.pay_type = "特殊商户积分";
        }else{
            this.pay_type=pay_type;
        }

    }

    public String getPay_time() {
        return pay_time;
    }

    public void setPay_time(String pay_time) {
        this.pay_time = pay_time;
    }

    public String getCart_num() {
        return cart_num;
    }

    public void setCart_num(String cart_num) {
        this.cart_num = cart_num;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getStore_name() {
        return store_name;
    }

    public void setStore_name(String store_name) {
        this.store_name = store_name;
    }

    public String getMer_name() {
        return mer_name;
    }

    public void setMer_name(String mer_name) {
        this.mer_name = mer_name;
    }

    public String getMer_avatar() {
        return mer_avatar;
    }

    public void setMer_avatar(String mer_avatar) {
        this.mer_avatar = mer_avatar;
    }

    public List<ProductVO> getProcductList() {
        return procductList;
    }

    public void setProcductList(List<ProductVO> procductList) {
        this.procductList = procductList;
    }
}
